#include <QCoreApplication>
#include <QtSql>
#include <QDebug>
#include <QTextCodec>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QSqlDatabase db = QSqlDatabase::addDatabase("QODBC");
    db.setHostName("192.168.14.137");
    db.setPort(5236);
    db.setDatabaseName("dm8");
    db.setUserName("SYSDBA");
    db.setPassword("SYSDBA");
    if (db.open())
        qDebug() << "connect ok!";
    else
    {
        qDebug() << "connect fail! " << db.lastError().text().toLatin1();
    }

    QSqlQuery query;

    //清空表，初始化测试环境
    QString strsql = "delete from PRODUCTION.PRODUCT_CATEGORY";
    query.exec(strsql);


    //插入数据
    strsql = "insert into PRODUCTION.PRODUCT_CATEGORY(NAME) values('语文'), ('数学'), ('英语'), ('体育')";
    if (query.exec(strsql))
    {
        qDebug() << "insert ok!";
    }
    else
    {
        qDebug() << "insert fail! " << query.lastError().text();
        getchar();
        exit(-1);
    }

    //删除数据
    strsql = "delete from PRODUCTION.PRODUCT_CATEGORY where name='数学'";
    if (query.exec(strsql))
    {
        qDebug() << "delete ok!";
    }
    else
    {
        qDebug() << "delete fail! " << query.lastError().text();
        getchar();
        exit(-1);
    }

    //更新数据
    strsql = "update PRODUCTION.PRODUCT_CATEGORY set name = '英语—新课标' where name='英语';";
    if (query.exec(strsql))
    {
        qDebug() << "update ok!";
    }
    else
    {
        qDebug() << "update fail! " << query.lastError().text();
        getchar();
        exit(-1);
    }

    //查询数据
    strsql = "select name from PRODUCTION.PRODUCT_CATEGORY";
    if (query.exec(strsql))
    {
        qDebug() << "select ok!";
    }
    else
    {
        qDebug() << "select fail! " << query.lastError().text();
        getchar();
        exit(-1);
    }
    while (query.next())
    {
         qDebug() << query.value(0).toString().toStdString().c_str();
    }
    query.clear();

    return a.exec();
}
